%define sversion B0.99-10

Summary: A fast, compact editor based on the slang screen library.
Name: jed
Version: B0.99.10
Release: 4mdk
Packager: Maurizio De Cecco (maurizio@mandrakesoft.com)
Copyright: GPL
Group: Editors
Source0: ftp://space.mit.edu/pub/davis/jed/jed-%{sversion}.tar.bz2
Source1: xjed.wmconfig
Patch0: jed-0.98.6-make.patch.bz2
Requires: jed-common = %{version} slang >= 1.3.8
BuildRoot: /var/tmp/jed-root

%description
Jed is a fast, compact editor based on the slang screen library.  Jed
features include emulation of the Emacs, EDT, WordStar and Brief editors;
support for extensive customization with slang macros, colors,
keybindings, etc.; and a variety of programming modes with syntax
highlighting.

You should install jed if you've used it before and you like it, or if you
haven't used any text editors before and you're still deciding what you'd
like to use.  You'll also need to have slang installed.

%package common
Summary: Files needed by any Jed editor.
Group: Editors
%description common
The jed-common package contains files (such as .sl files) that are
needed by any jed binary in order to run.

%package xjed
Requires: jed-common = %{version}
Summary: The X Window System version of the Jed text editor.
Group: Editors

%description xjed
Xjed is a version of the Jed text editor that will work with the X Window
System.
  
You should install xjed if you like Jed and you'd like to use it with X.
You'll also need to have the X Window System installed.

%package -n rgrep
Summary: A grep utility which can recursively descend through directories.
Group: Text tools

%description -n rgrep
The rgrep utility can recursively descend through directories as
it greps for the specified pattern.  Note that this ability does
take a toll on rgrep's performance, which is somewhat slow.  Rgrep
will also highlight the matching expression.

Install the rgrep package if you need a recursive grep which can
highlight the matching expression.

%prep
%setup -n jed-%{sversion}
%patch0 -b .make

%build
CFLAGS="-DMEMCPY=SLmemcpy -DMEMSET=SLmemset -DMEMCHR=SLmemchr $RPM_OPT_FLAGS" ./configure --prefix=/usr
make all
make xjed

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/lib/jed
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin

cp -r lib $RPM_BUILD_ROOT/usr/lib/jed
cp -r info $RPM_BUILD_ROOT/usr/lib/jed

cd src/objs
install -m 0755 -s jed $RPM_BUILD_ROOT/usr/bin
install -m 0755 -s xjed $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 0755 -s rgrep $RPM_BUILD_ROOT/usr/bin
JED_ROOT=$RPM_BUILD_ROOT/usr/lib/jed $RPM_BUILD_ROOT/usr/bin/jed -batch -n -l preparse.sl

cd ../../doc
install -m 644 jed.1 $RPM_BUILD_ROOT/usr/man/man1
install -m 644 rgrep.1 $RPM_BUILD_ROOT/usr/man/man1
#
find $RPM_BUILD_ROOT/usr/man/ -name '*[0-9]'|xargs bzip2 -9


install -m 0644 $RPM_SOURCE_DIR/xjed.wmconfig  $RPM_BUILD_ROOT/etc/X11/wmconfig/xjed

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/jed

%files common
%defattr(-,root,root)
%doc COPYING COPYRIGHT doc INSTALL INSTALL.unx README changes.txt
%docdir /usr/lib/jed/info
/usr/man/man1/jed.1.bz2
/usr/lib/jed

%files xjed
%defattr(-,root,root)
/usr/X11R6/bin/xjed
%config(missingok) /etc/X11/wmconfig/xjed

%files -n rgrep
%defattr(-,root,root)
/usr/bin/rgrep
/usr/man/man1/rgrep.1.bz2

%changelog
* Tue Apr 11 2000 Maurizio De Cecco <maurizio@mandrakesoft.com>
- Fixed Distribution name

* Thu Apr 10 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Fixed Group of subpackages

* Thu Mar 16 2000 Maurizio De Cecco  <maurizio@mandrakesoft.com>
- Adapted to the new Group structure

* Fri Nov 19 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- B0.99.10.

* Wed Jul 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Version B0.99.8.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Thu Oct 29 1998 Bill Nottingham <notting@redhat.com>
- update to 0.98.7 for Raw Hide
- split off lib stuff into jed-common

* Mon Oct  5 1998 Jeff Johnson <jbj@redhat.com>
- change rgep group tag, same as grep.

* Sat Aug 15 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Mon Nov  3 1997 Michael Fulbright <msf@redhat.com>
- added wmconfig entry for xjed

* Tue Oct 21 1997 Michael Fulbright <msf@redhat.com>
- updated to 0.98.4
- included man pages in file lists

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
